Mobile apps

The App Store app's creator funnel: clicks, store impressions and downloads, installs, retention and revenue

GET/api/public/v1/apps/ios/analytics
ConnectorAnswers empty results in the documented shape until the brand switches on this connection.

Operation id getIosAppAnalytics

Request

curl

curl "https://creator.growthdept.ai/api/public/v1/apps/ios/analytics" \
  -H "Authorization: Bearer gdc_..."

Parameters

NameInTypeNotes
organization_idqueryinteger
start_datequerystring (date)
end_datequerystring (date)

Responses

200Success

FieldTypeNotes
dataobject
data.chart_dataarray of object
data.last_synced_atstring (date-time), nullable
data.retention_ratenumber
data.total_app_installsinteger
data.total_app_uninstallsinteger
data.total_asc_downloadsinteger
data.total_asc_impressionsinteger
data.total_asc_proceeds_centsinteger
data.total_attributed_revenue_centsinteger
data.total_link_clicksinteger
date_rangeobject
date_range.end_datestring (date)
date_range.start_datestring (date)
successboolean

Example

{
  "data": {
    "chart_data": [
      {}
    ],
    "last_synced_at": "2026-11-01T15:04:05Z",
    "retention_rate": 0.15,
    "total_app_installs": 3,
    "total_app_uninstalls": 3,
    "total_asc_downloads": 3,
    "total_asc_impressions": 3,
    "total_asc_proceeds_cents": 12500,
    "total_attributed_revenue_cents": 12500,
    "total_link_clicks": 3
  },
  "date_range": {
    "end_date": "2026-11-01",
    "start_date": "2026-11-01"
  },
  "success": true
}

Errors: 401404422429with an error and usually a message. See errors.

Example values are made up from each field's type and name.